> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/version_change/network_api.md).

# Network API

**1.** **Geo information structure changes**

### Notice：city will be deprecated and add two array regions and cities.

**When you set up offers or when the affiliates use API to pull out offers, in the case that the Offer Geo Targeting has been limited only to country, this update will have no influence to your API setting. When you set up offers or when the affiliates use API to pull out offers, in the case that the Offer Geo Targeting has been limited to state/province or to city, then you should update the API setting accordingly.**

| Field       | Type    | Description                                                                                                  |
| ----------- | ------- | ------------------------------------------------------------------------------------------------------------ |
| target      |         | To push the identification of the target, you must write the following field.                                |
| country     | string  | Country to be targeted.   When the country is identified as the exclusion (type=2), the city is not optional |
| city        | array   | **This parameter has been deprecated.** **\[Deprecated]**                                                    |
| type        | integer | An identifier included or excluded. Type:  1 include ; 2 exclude                                             |
| region      |         | Regions  selection in targeted country                                                                       |
| type        | integer | An identifier included or excluded. Type:  1 include ; 2 exclude                                             |
| region\_ids | array   | The unique id for the region                                                                                 |
| cities      |         | City selection in targeted country                                                                           |
| type        | integer | An identifier included or excluded. Type:  1 include ; 2 exclude                                             |
| city\_ids   | array   | The unique id for the city                                                                                   |

## Example request <a href="#example-request" id="example-request"></a>

```
"offer_geo": {
            "type": 1,
            "target": [
                {
                    "country": "CN",
                    "type": 1
         },


                {
                    "country": "AL",
                    "type": 1
                },
                {
                    "country": "AM",
                    "type": 2
                },
                {

                     "country": "CN",
            "region": {
            "type":1,
            "region_ids": ["633",635,641]
        },
            "cities": [{
            "type": 1,
            "region_id": "633",
            "city_ids": ["97648",97649,97651]
        },
        {
            "type": 2,
            "region_id": "635",
            "city_ids": ["97739"]
        }]

                }
            ]


        },
```

## Example response <a href="#example-response" id="example-response"></a>

```
 "offer_geo": {
            "type": 1,
            "target": [
                {
                    "country": "China",
                    "country_code": "CN",
                    "id": 541628,
                    "city": null,         //Deprecated
                    "type": null,        //Deprecated
                    "offer_id": null,    //Deprecated
                    "regions": [
                        {
                            "type": 1,
                            "region_id": 633,
                            "region_name": "Anhui Sheng"
                        },
                        {
                            "type": 1,
                            "region_id": 635,
                            "region_name": "Beijing Shi"
                        },
                        {
                            "type": 1,
                            "region_id": 641,
                            "region_name": "Guangxi Zhuangzu Zizhiqu"
                        }
                    ],
                    "cities": [
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97648,
                            "city_name": "Anqing"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97649,
                            "city_name": "Baiyin"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97651,
                            "city_name": "Bozhou"
                        },
                        {
                            "type": 2,
                            "region_id": 635,
                            "city_id": 97739,
                            "city_name": "Beijing"
                        }
                    ]
                },
                {
                    "country": "Albania",
                    "country_code": "AL",
                    "id": 541636,
                    "city": null,
                    "type": null,
                    "offer_id": null,
                    "regions": [],
                    "cities": []
                },
                {
                    "country": "Armenia",
                    "country_code": "AM",
                    "id": 541637,
                    "city": null,
                    "type": null,
                    "offer_id": null,
                    "regions": [],
                    "cities": []
                }
            ]
        }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/version_change/network_api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
